Anzeige:
Seite 1 von 2 12 LetzteLetzte
Ergebnis 1 bis 15 von 22

Thema: alsa-tools (hdspmixer) unter KaOs?

  1. #1
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    2.033

    Question alsa-tools (hdspmixer) unter KaOs?

    Hallo liebe Fachleute!
    Gibt es eine Möglichkeit o.g. Programm unter KaOS zu installieren?
    Danke Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  2. #2
    Registrierter Benutzer Avatar von ThorstenHirsch
    Registriert seit
    Nov 2002
    Beiträge
    6.558
    Scheint nicht der Fall zu sein: https://repology.org/projects/?inrepo=kaos
    ¡Nuestro amigo... el Computador!

  3. #3
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    2.033
    Zitat Zitat von micha97 Beitrag anzeigen
    Hallo liebe Fachleute!
    Gibt es eine Möglichkeit o.g. Programm unter KaOS zu installieren?
    Danke Gruß micha
    Nun habe ich alsa-tools per git clone erfolgreich installiert!
    Beim Aufruf von hdspmixer bekomme ich jedoch folgende Fehlermeldung:

    HDSPMixer is free software, see the file COPYING for details

    Looking for RME cards:
    Card 0: RME Hammerfall HDSP 9632 at 0xf0400000, irq 16
    HDSP 9632 found!
    Card 1: HDA Intel HDMI at 0xf0610000 irq 34
    1 RME cards card found.
    Initializing default presets
    Speicherzugriffsfehler (Speicherabzug geschrieben)!

    Was ist zu tun!?

    Danke im voraus

    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  4. #4
    Registrierter Benutzer Avatar von ThorstenHirsch
    Registriert seit
    Nov 2002
    Beiträge
    6.558
    Sieht nicht besonders erfolgreich aus.
    Ich vermute, dass du ein Binary installiert hast, das nicht zu Deiner Distribution passt. Aber Du müsstest schon genauer beschreiben, was Du gemacht hast. Normalerweise bekommt man "per git clone" nur den Quellcode, aber nicht das ausführbare hdspmixer. Hast Du es selbst kompiliert?
    ¡Nuestro amigo... el Computador!

  5. #5
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    2.033

    hdspmixer - KaOS - Fehlermeldung

    Zitat Zitat von ThorstenHirsch Beitrag anzeigen
    Sieht nicht besonders erfolgreich aus.
    Ich vermute, dass du ein Binary installiert hast, das nicht zu Deiner Distribution passt. Aber Du müsstest schon genauer beschreiben, was Du gemacht hast. Normalerweise bekommt man "per git clone" nur den Quellcode, aber nicht das ausführbare hdspmixer. Hast Du es selbst kompiliert?
    genau das habe ich per make getan!
    Linux OpenSuSE Leap KDE plasma5

  6. #6
    Registrierter Benutzer
    Registriert seit
    Apr 2009
    Ort
    Erde
    Beiträge
    2.824
    Wie schon geschrieben, musst du alles von Alsa selber bauen, oder du nimmst den Quellcode den dir deine Distribution liefert - also den für Alsa.
    Gruß nopes
    (,,,)---(^.^)---(,,,) /var/log/messages | grep cat

  7. #7
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    2.033

    Arrow hdspmixer - KaOS - Fehlermeldung

    Zitat Zitat von nopes Beitrag anzeigen
    Wie schon geschrieben, musst du alles von Alsa selber bauen, oder du nimmst den Quellcode den dir deine Distribution liefert - also den für Alsa.
    leider stellt KaOS alsa-tools nicht zur Verfügung, daher git clone! - aber wieso die Fehlermeldung?
    Da ich KaOS sonst super finde ware es ja toll, wenn meine Soundkarte funktionieren würde.
    Trotzdem, vielen Dank für Euer Bemühen!

    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  8. #8
    Registrierter Benutzer Avatar von ThorstenHirsch
    Registriert seit
    Nov 2002
    Beiträge
    6.558
    Na, dann schreib doch wie du's installiert hast. Bislang wissen wir: "git clone" und "make". Ich kann mir die Reihenfolge dieser beiden Kommandos denken, aber WAS hast du geklont, verdammt nochmal?!
    ¡Nuestro amigo... el Computador!

  9. #9
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    2.033

    KaOS - hdspmixer - Fehlermeldung

    Zitat Zitat von ThorstenHirsch Beitrag anzeigen
    Na, dann schreib doch wie du's installiert hast. Bislang wissen wir: "git clone" und "make". Ich kann mir die Reihenfolge dieser beiden Kommandos denken, aber WAS hast du geklont, verdammt nochmal?!
    in der Datei makefiles ist folgendes aufgelistet, eben u.a. hdspmixer, der auch unter Anwendungen erscheint, sich aber nicht aufrufen lässt, nur per Konsole mit der o.g. Fehlermeldung.

    as10k1 envy24control hdsploader hdspconf hdspmixer \
    mixartloader pcxhrloader rmedigicontrol sb16_csp seq sscape_ctl \
    us428control usx2yloader vxloader echomixer \
    hwmixvolume hdajackretask hda-verb hdajacksensetest


    Nochmals vielen Dank!

    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  10. #10
    Registrierter Benutzer
    Registriert seit
    Apr 2009
    Ort
    Erde
    Beiträge
    2.824
    Es wurde von hier gecloned: https://www.alsa-project.org/wiki/GIT_Server
    Bisher nur die alsa-tools, weil da der Mixer drin ist
    Gruß nopes
    (,,,)---(^.^)---(,,,) /var/log/messages | grep cat

  11. #11
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    2.033

    Question hdspmixer - KaOS - Fehlermeldung

    Zitat Zitat von nopes Beitrag anzeigen
    Es wurde von hier gecloned: https://www.alsa-project.org/wiki/GIT_Server
    Bisher nur die alsa-tools, weil da der Mixer drin ist
    genau! - und was sollte ich als nächstes tun?

    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  12. #12
    Registrierter Benutzer
    Registriert seit
    Apr 2009
    Ort
    Erde
    Beiträge
    2.824
    Zitat Zitat von nopes Beitrag anzeigen
    Wie schon geschrieben, musst du alles von Alsa selber bauen, oder du nimmst den Quellcode den dir deine Distribution liefert - also den für Alsa.
    1234567890
    Gruß nopes
    (,,,)---(^.^)---(,,,) /var/log/messages | grep cat

  13. #13
    Registrierter Benutzer Avatar von ThorstenHirsch
    Registriert seit
    Nov 2002
    Beiträge
    6.558
    Ich würde vorschlagen, nach der Anleitung ein Paket zu bauen: https://kaosx.us/docs/package/
    Du kannst die PKGBUILD von Arch benutzen: https://github.com/archlinux/svntogi...trunk/PKGBUILD
    ¡Nuestro amigo... el Computador!

  14. #14
    Registrierter Benutzer
    Registriert seit
    Apr 2001
    Ort
    Itzehoe SH
    Beiträge
    2.033

    Question KaOS - hdspmixer - Fehlermeldung

    Zitat Zitat von ThorstenHirsch Beitrag anzeigen
    Ich würde vorschlagen, nach der Anleitung ein Paket zu bauen: https://kaosx.us/docs/package/
    Du kannst die PKGBUILD von Arch benutzen: https://github.com/archlinux/svntogi...trunk/PKGBUILD
    Beim Entpacken kam leider folgende Fehlermeldung:
    Warnung: Kann "libasound.so=2-64" nicht auflösen (eine Abhängigkeit von "alsa-tools")
    :: Das folgende Paket kann aufgrund nicht auflösbarer Abhängigkeiten nicht aktualisiert werden:
    alsa-tools


    Gruß micha
    Linux OpenSuSE Leap KDE plasma5

  15. #15
    Registrierter Benutzer
    Registriert seit
    Apr 2009
    Ort
    Erde
    Beiträge
    2.824
    Ich würde ja erst dafür sorgen, dass das from scratch geht, erst dann würde ich mich damit beschäftigen, wie genau ein Packet für dein Linux gebaut wird. Etwas mehr zum Thema, was da gemacht werden muss, ist hier dokumentiert:
    https://www.linuxfromscratch.org/blf...a/libdriv.html
    https://www.linuxfromscratch.org/blf.../alsa-lib.html
    https://www.linuxfromscratch.org/blf...a-plugins.html
    https://www.linuxfromscratch.org/blf...lsa-utils.html
    https://www.linuxfromscratch.org/blf...lsa-tools.html
    https://www.linuxfromscratch.org/blf...-firmware.html
    https://www.linuxfromscratch.org/blf.../alsa-oss.html

    Achte auf die Optional und Required Angaben und auch auf die Reihenfolge, also erst alsa-lib bauen und installieren, dann alsa-utils usw bauen und installieren.
    Geändert von nopes (03.03.23 um 15:45 Uhr)
    Gruß nopes
    (,,,)---(^.^)---(,,,) /var/log/messages | grep cat

Ähnliche Themen

  1. Tools für Softwaretests unter Linux?
    Von gismojs im Forum Anwendungen Allgemein, Software
    Antworten: 4
    Letzter Beitrag: 20.12.06, 10:05
  2. id Software veröffentlicht Tools unter der GPL
    Von DonaldDuck20 im Forum Spielen Allgemein
    Antworten: 1
    Letzter Beitrag: 19.02.06, 21:21
  3. alsa tools
    Von bluhminga im Forum Musik
    Antworten: 3
    Letzter Beitrag: 23.02.04, 13:10
  4. ET Tools wie HLSW unter Linux?
    Von Deamon im Forum Spielen Allgemein
    Antworten: 26
    Letzter Beitrag: 10.12.03, 15:07
  5. Solaris Tools unter Linux?!?!
    Von cubaallstar im Forum Linux Allgemein
    Antworten: 6
    Letzter Beitrag: 23.06.02, 14:40

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •